<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSySettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sy_settings', function (Blueprint $table) {
            $table->increments('id');

            $table->string('name')->index();
            $table->string('slug')->unique()->index();

            $table->text('message')->nullable();

            $table->string('action')->index()->nullable();
            $table->unsignedTinyInteger('status')->index()->default(0);
            $table->boolean('active')->default(false);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sy_settings');
    }
}
